#!/usr/bin/env python
#
#       Author:	Wolter Hellmund
#       Email:	wolterh6@gmail.com
#       --------------------------------------
#       Fileorganizer tools
#       --------------------------------------
#       Creative Commons

import os
import fileops

# Create a folder if non-existant, and return it
def folderize (configurator, folder):
	dir = configurator.get_val('dir').get_string ()
	if not os.path.exists (dir+folder):
		os.makedirs (dir+folder)
	return os.path.dirname (dir+folder)

# Replace the placeholders with the correct values
def datafiller (file, string):
	for key in fileops.metatypes:
		if ('$'+key) in string:
			string = string.replace (('$'+key),process (file.get_metadata (key)))
			#string = process (string)
	return string

# Process names and replace any undesired characters
def process (string):
	# Prevent / character
	string = string.replace ('/','_') # if present
	return string
